# $Revision: 1.12 $, $Date: 2005/08/10 08:35:38 $
Summary:	glitz - OpenGL compositing library
Summary(pl):	glitz - biblioteka mieszania OpenGL
Name:		glitz
Version:	0.4.4
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
# Source0-md5:	56162ec6f5df9603c0e98391c64565f8
# it's not directory, don't add /
URL:		http://www.freedesktop.org/Software/glitz
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
Requires:	OpenGL
# incompatible with glitz 0.2.x despite same soname
Conflicts:	cairo < 0.3.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glitz is a portable 2D graphics library that uses OpenGL to render
hardware accelerated graphics. It supports many of the latest OpenGL
features, such as efficient off-screen rendering using pbuffers.
Rendering can be carried out by arbitrary OpenGL layers, thanks to
glitz's extensible backend system. Glitz is designed to match the X
Render Extension semantics and provides a general way for accelerating
this imaging model. Glitz can be used as a stand-alone layer above
OpenGL but is also designed to act as a backend for cairo, providing
it with OpenGL accelerated output.

%description -l pl
Glitz to przenona biblioteka grafiki 2D uywajca OpenGL-a do
renderowania grafiki ze sprztow akceleracj. Obsuguje wiele
nowych moliwoci OpenGL-a, takich jak wydajny rendering poza ekranem
przy uyciu p-buforw. Renderowanie moe by wykonywane przez dowolne
warstwy OpenGL-a dziki rozszerzalnemu systemowi backendw glitza.
Glitz zosta zaprojektowany aby pasowa do semantyki rozszerzenia
X Render i dostarcza oglny sposb akceleracji tego modelu rysowania.
Glitz moe by uywany jako samodzielna warstwa ponad OpenGL, ale
zosta zaprojektowany take, eby suy jako backend dla cairo,
udostpniajc akcelerowane wyjcie OpenGL.

%package devel
Summary:	Header files for glitz libraries
Summary(pl):	Pliki nagwkowe bibliotek glitz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for glitz-glx
Requires:	OpenGL-devel
Requires:	XFree86-devel

%description devel
Header files for glitz libraries.

%description devel -l pl
Pliki nagwkowe bibliotek glitz.

%package static
Summary:	Static glitz libraries
Summary(pl):	Statyczne biblioteki glitz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static glitz libraries.

%description static -l pl
Statyczne biblioteki glitz.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-agl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/glitz*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glitz.spec,v $
Revision 1.12  2005/08/10 08:35:38  saq
- 0.4.4 final, rel 1

Revision 1.11  2005/07/21 07:36:19  freetz
- 0.4.4 (not yet released - tagged as 0.4.4 since 2 weeks - dropin tarball)

Revision 1.10  2005/06/19 08:31:39  qboosh
- updated to 0.4.3 (mostly bugfixes; seems compatible with 0.4.0)

Revision 1.9  2005/02/21 09:27:01  qboosh
- conflicts with glitz-0.2.x-based cairo

Revision 1.8  2005/01/25 22:02:38  qboosh
- updated to 0.4.0

Revision 1.7  2005/01/05 22:28:40  jpc
- reverted (0.3.0 moved to DEVEL)

Revision 1.5  2004/10/30 13:23:06  qboosh
- updated to 0.2.3

Revision 1.4  2004/07/04 21:37:08  qboosh
- updated to 0.1.5

Revision 1.3  2004/05/24 21:41:43  qboosh
- updated to 0.1.3

Revision 1.2  2004/05/12 17:59:19  freetz
- 0.1.2

Revision 1.1  2004/04/18 12:20:24  qboosh
- new
